Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class ThreadPoolReceipt

    java.lang.Object
      org.jasig.portal.utils.ThreadPoolReceipt

    public class ThreadPoolReceipt

extends java.lang.Object

A receipt that provides some information/control about a job that's being processed on the ThreadPool

Author:
  Peter Kharchenko pkharchenko@interactivebusiness.com

Field Summary
`protected boolean` | `jobdone`
`protected boolean` | `jobsuccessful`
`protected java.lang.Throwable` | `thrownException`
`protected ThreadPoolWorker` | `worker`

Constructor Summary
`ThreadPoolReceipt(ThreadPoolWorker w)`

Method Summary
`java.lang.Throwable` | `getThrownException()`
`boolean` | `isJobdone()`
`boolean` | `isJobsuccessful()`
`void` | `killJob()` Signals to the thread that it should abandon all hopes and kill the job as soon as possible.
`void` | `releaseWorker()`
`java.lang.String` | `toString()`
`void` | `updateStatus(ThreadPoolWorker currentWorker, boolean isdone, boolean issuccessful, java.lang.Throwable ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### worker

    protected ThreadPoolWorker worker

### jobdone

    protected boolean jobdone

### jobsuccessful

    protected boolean jobsuccessful

### thrownException

    protected java.lang.Throwable thrownException

Constructor Detail

### ThreadPoolReceipt

    public ThreadPoolReceipt(ThreadPoolWorker w)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### updateStatus

    public void updateStatus(ThreadPoolWorker currentWorker,
                             boolean isdone,
                             boolean issuccessful,
                             java.lang.Throwable ex)

### killJob

    public void killJob()

  Signals to the thread that it should abandon all hopes and kill the job as soon as possible.

### releaseWorker

    public void releaseWorker()

### getThrownException

    public java.lang.Throwable getThrownException()

### isJobsuccessful

    public boolean isJobsuccessful()

### isJobdone

    public boolean isJobdone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD